Show / Hide Table of Contents

# Enum HoverActionKind

ActionKinds used in AgentActionDetail. These describe the possible kinds of actions being hovered.

###### Namespace: Dalamud.Game.Gui

###### Assembly: Dalamud.dll

##### Syntax

    public enum HoverActionKind

### Fields

Name | Description
--- | ---
Action | A regular action is hovered.
CompanionOrder | A companion order type of action is hovered.
ExtraCommand | An extras command type of action is hovered.
GeneralAction | A general action is hovered.
MainCommand | A main command type of action is hovered.
None | No action is hovered.
PetOrder | A pet order type of action is hovered.
Trait | A trait is hovered.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()